package java.util.spi;

import java.util.Locale;

public abstract class LocaleServiceProvider
{
    protected LocaleServiceProvider() {
    }
    
    public abstract Locale[] getAvailableLocales();
    
    public boolean isSupportedLocale(Locale stripExtensions) {
        stripExtensions = stripExtensions.stripExtensions();
        Locale[] availableLocales = this.getAvailableLocales();
        int length = availableLocales.length;
        int i = 0;
        while (i < length) {
            if (stripExtensions.equals(availableLocales[i].stripExtensions())) {
                return true;
            }
            ++i;
        }
        return false;
    }
}
